# StyleSheetList : Object
Return to: HTML DOM Level 2 index

Array of StyleSheet objects.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 6.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
StyleSheetList Constructor() : StyleSheetList Array of StyleSheet objects. | Show Details | no | 1.0+ | 6.0+ | 7.0+ | 1.0+

### StyleSheetList() : StyleSheetList

Array of StyleSheet objects.

Returns

StyleSheetList |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
length : Number Number of StyleSheet objects in the array. | Show Details | no | 1.0+ | 6.0+ | 7.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
static item(Number index) : StyleSheet Returns the StyleSheet found at the specified index position in the array. | Show Details | no | 1.0+ | 6.0+ | 7.0+ | 1.0+

Parameters

Number | index | Index position of the StyleSheet.

Returns

StyleSheet |

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/item.html

Availability

  HTML DOM Level 2|W3C

## References

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs